Retrieve an Agent Tool in a Project
get
/ic/api/integration/v1/projects/{projectId}/ai/tools/{id}
Returns details of a specific Agent Tool.
Request
Path Parameters
-
id(required): string
Agent Tool identifier
-
projectId(required): string
Project identifier
Query Parameters
-
integrationInstance(required): string
This is the name of the service instance. You can get this value from the About page where it is specified in the Service instance field.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json;charset=utf-8, application/vnd.oracle.model+json;type=singular
200 Response
Successful operation
Nested Schema : ToolListRs-allOf[2]
Type:
Show Source
object-
code: string
Tool code
-
connection: object
ToolConnectionRs
-
created: string
(date-time)
Created
-
createdBy: string
Created By
-
description: string
Tool description
-
integration: object
ToolIntegrationRs
-
lastUpdated: string
(date-time)
Last Updated
-
lastUpdatedBy: string
Last Updated By
-
name: string
Tool name
-
projectId: string
Project id which tool is part of
-
status: string
Tool Status
-
type: string
Tool type
Nested Schema : ToolRs-allOf[1]
Type:
Show Source
object-
annotations: object
annotations
Additional Properties Allowed: additionalPropertiesAnnotations for the tool
-
endpointUrl: string
Endpoint url for the tool
-
guidelines: string
Guidelines for the tool
-
parameters: object
parameters
Additional Properties Allowed:
trueJson node for the tool
Nested Schema : annotations
Type:
objectAdditional Properties Allowed
Show Source
Annotations for the tool
Nested Schema : parameters
Type:
objectAdditional Properties Allowed:
trueJson node for the tool
404 Response
Agent Tool not found
500 Response
Server error
Examples
The following example shows how to retrieve a specific agent tool by submitting a GET request on the REST resource using cURL. For more information about cURL, see Use cURL. For more information about endpoint URL structure, see Send Requests.
Example: Retrieve agent tool CREATE_ORDER_TOOL
This command retrieves the specified agent tool.
curl -X GET -H 'Authorization: Bearer access_token' https://design.integration.region.ocp.oraclecloud.com/ic/api/integration/v1/projects/TEST_PROJECT/ai/tools/CREATE_ORDER_TOOL?integrationInstance=service-instance